WCSNLEN(3)

NAME
wcsnlen - determine the length of a fixed-size wide-character string

SYNOPSIS
#define _GNU_SOURCE
#include <wchar.h>

size_t wcsnlen(const wchar_t *s, size_t maxlen);

DESCRIPTION
The wcsnlen() function is the wide-character equivalent of the strnlen(3) function. It returns the number of wide-characters in the string pointed to by s, not including the terminating L'\0' character, but at most maxlen. In doing this, wcsnlen() looks only at the first maxlen wide-characters at s and never beyond s+maxlen.

RETURN VALUE
The wcsnlen() function returns wcslen(s), if that is less than maxlen, or maxlen if there is no L'\0' character among the first maxlen wide characters pointed to by s.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
strnlen(3), wcslen(3)